Bug 127671 - Missing BuildRequires for perl
Summary: Missing BuildRequires for perl
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-12 12:41 UTC by Andreas Thienemann
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 07:45:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Thienemann 2004-07-12 12:41:41 UTC
Description of problem:
When rebuilding glibc, the following error appears when no perl is
installed:

+ perl -pi -e 's/0 \|\|/1 ||/' ../elf/tst-tls10.h
../linuxthreads/tst-tls1.h
/var/tmp/rpm-tmp.76641: line 31: perl: command not found
error: Bad exit status from /var/tmp/rpm-tmp.76641 (%build)

perl is called twice in the specfile to search and replace certain
strings:

1st occurence:
perl -pi -e 's/0 \|\|/1 ||/' ../elf/tst-tls10.h ../linuxthreads/tst-tls1.h

2nd occurence:
perl -pi -e 's/alarm \(TIMEOUT\)/alarm (TIMEOUT * 15 * '$numprocs' <
600 ? TIMEOUT * 15 * '$numprocs' : 600)/' \
  test-skeleton.c


Both should be changed to sed calls such as "sed -ie 's/0 \|\|/1 ||/'
 ../elf/tst-tls10.h ../linuxthreads/tst-tls1.h" as needing perl for
rebuilding glibc is a bit much.

Otherwise, at least BuildRequires: perl should be added to facilate
automated rebuilding.


Version-Release number of selected component (if applicable):
glibc-2.3.2-95.3.src.rpm

Comment 1 Ulrich Drepper 2004-10-06 07:45:20 UTC
We have adjusted the glibc.spec file currently in use.  glibc-2.3.3-66
or higher once available will have the changes.


Note You need to log in before you can comment on or make changes to this bug.